// ignore_for_file: prefer_const_constructors

import 'package:flutter/material.dart';
import 'package:sis_flutter/themes/themes.dart';

class CustomBottomNavigationBar extends StatelessWidget {
  final int indexValue;
  final ValueChanged<int> onIndexSelected;
  const CustomBottomNavigationBar(
      {super.key, required this.indexValue, required this.onIndexSelected});

  @override
  Widget build(BuildContext context) {
    return BottomNavigationBar(
      currentIndex: indexValue,
      backgroundColor: Colors.white,
      selectedItemColor: AppTheme.primary,
      unselectedItemColor: Colors.black87,
      onTap: onIndexSelected,
      items: const [
        BottomNavigationBarItem(
          icon: Icon(
            Icons.home,
            color: Colors.black87,
          ),
          label: 'Inicio',
        ),
        BottomNavigationBarItem(
          icon: Icon(
            Icons.person,
            color: Colors.black87,
          ),
          label: "Perfil",
        ),
        BottomNavigationBarItem(
          icon: Icon(
            Icons.calendar_today,
            color: Colors.black87,
          ),
          label: 'Calendario',
        ),
      ],
    );
  }
}
